import 'package:json_annotation/json_annotation.dart';

part 'user_dto.g.dart';

@JsonSerializable(createToJson: false)
class UserDto {
  final int? id;
  final String? name;
  final String? surname;
  final String? description;
  final String? image;
  final String? gender;
  final String? dateOfBirth;
  final double? lat;
  final double? lon;
  final int? age;
  final double? distance;

  const UserDto(
      {this.id,
      this.name,
      this.surname,
      this.description,
      this.image,
      this.gender,
      this.dateOfBirth,
      this.lat,
      this.lon,
      this.age,
      this.distance});

  factory UserDto.fromJson(Map<String, dynamic> json) =>
      _$UserDtoFromJson(json);
}
