import 'package:pmu/data/repositories/api_interface.dart';
import 'package:pmu/domain/models/card.dart';
import 'package:pmu/domain/models/home.dart';

class MockRepository extends ApiInterface {
  @override
  Future<HomeData?> loadData({OnErrorCallback? onError}) async {
    return HomeData(data: [
      const CardData(
          name: "Марьяна",
          surname: "Ро",
          description: "Люблю вечерами погамать в майн",
          imageUrl: "https://placehold.co/600x400/png",
          age: 21,
          distance: 24.5,
          isLiked: false),
      const CardData(
          name: "Константин",
          surname: "Злобин",
          description: "Веду канал в тг про криптожизнь",
          imageUrl: "https://placehold.co/600x400/png",
          age: 24,
          distance: 478.3,
          isLiked: false)
    ], pageNumber: 0);
  }
}
